Bug 209954 - www/drupal6-*: Expire all Drupal 6 modules as well (Drupal 6 is EOL)
Summary: www/drupal6-*: Expire all Drupal 6 modules as well (Drupal 6 is EOL)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-02 06:12 UTC by Yonas Yanfa
Modified: 2016-09-11 08:59 UTC (History)
4 users (show)

See Also:
vlad-fbsd: maintainer-feedback? (rea)


Attachments
DEPRECATE all www/drupal6-* modules ports (12.00 KB, patch)
2016-06-02 09:23 UTC, VK
no flags Details | Diff
DEPRECATE all www/drupal6-* modules ports, with expiration date (12.74 KB, patch)
2016-06-15 11:41 UTC, VK
vlad-fbsd: maintainer-approval? (rea)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yonas Yanfa 2016-06-02 06:12:32 UTC
There are 26 ports that install Drupal 6 modules. Shouldn't we deprecate them, as we have for www/drupal6?
Comment 1 VK freebsd_triage 2016-06-02 08:24:51 UTC
Removing Simon from feedback as he doesn't maintain any of the www/drupal6-* modules, leaving him in CC. The following modules are without a maintainer and require a patch:

* www/drupal6-chaos
* www/drupal6-ckeditor
* www/drupal6-content_access
* www/drupal6-google_analytics
* www/drupal6-image
* www/drupal6-imce
* www/drupal6-menu_block
* www/drupal6-mimedetect
* www/drupal6-nice_menus
* www/drupal6-nodewords
* www/drupal6-page_title
* www/drupal6-panels
* www/drupal6-path_redirect
* www/drupal6-pathauto
* www/drupal6-seo_checklist
* www/drupal6-services
* www/drupal6-token
* www/drupal6-webform
* www/drupal6-wysiwyg
* www/drupal6-zeropoint
Comment 2 VK freebsd_triage 2016-06-02 09:23:06 UTC
Created attachment 170940 [details]
DEPRECATE all www/drupal6-* modules ports

I used Drupal in the past, so I went ahead and made a patch that cleans this up. Didn't include EXPIRATION_DATE because it didn't make much sense to me, since www/drupal6 over a month ago. Please correct me if I'm wrong and I'll resubmit with an EXPIRATION_DATE.

Portlint complains about previous problems, so I ignored it.

The patch includes all www/drupal6-* ports, so I'm requesting maintainer approval from rea@ as some of those are his.

Also, as I'm not sure about the procedure of port removal from the tree, heads up to committers, www/drupal6 expired over a month ago.
Comment 3 Yonas Yanfa 2016-06-02 13:45:49 UTC
Thanks for the patches!
Comment 4 Torsten Zuehlsdorff freebsd_committer 2016-06-14 15:16:41 UTC
Hello Yonas,

thanks for the patch! Since www/drupal6 has an expiration date i would prefer to have one for the modules too. Skipping the date could result in removing www/drupal6 while the modules are still available. 
Would you please update the patch? Drupal set the expiration date to: 
EXPIRATION_DATE=        2016-04-24

Thanks!
Torsten
Comment 5 VK freebsd_triage 2016-06-15 11:41:32 UTC
Created attachment 171459 [details]
DEPRECATE all www/drupal6-* modules ports, with expiration date

Thanks, Torsten. Here is the new patch, updated to include EXPIRATION_DATE, per your advice. :)
Comment 6 commit-hook freebsd_committer 2016-06-17 12:57:55 UTC
A commit references this bug:

Author: tz
Date: Fri Jun 17 12:56:58 UTC 2016
New revision: 417007
URL: https://svnweb.freebsd.org/changeset/ports/417007

Log:
  www/drupal6-*: deprecate all drupal6-modules. Also set expiration date
                 to 2016-04-24 to stay in sync with www/drupal6.

  PR:           209954
  Submitted by: Yonas Yanfa <yonas@fizk.net>
  Approved by:  junovitch (mentor)

Changes:
  head/www/drupal6-advanced_help/Makefile
  head/www/drupal6-cck/Makefile
  head/www/drupal6-chaos/Makefile
  head/www/drupal6-ckeditor/Makefile
  head/www/drupal6-content_access/Makefile
  head/www/drupal6-geshifilter/Makefile
  head/www/drupal6-google_analytics/Makefile
  head/www/drupal6-image/Makefile
  head/www/drupal6-imce/Makefile
  head/www/drupal6-menu_block/Makefile
  head/www/drupal6-mimedetect/Makefile
  head/www/drupal6-nice_menus/Makefile
  head/www/drupal6-nodewords/Makefile
  head/www/drupal6-page_title/Makefile
  head/www/drupal6-panels/Makefile
  head/www/drupal6-path_redirect/Makefile
  head/www/drupal6-pathauto/Makefile
  head/www/drupal6-print/Makefile
  head/www/drupal6-seo_checklist/Makefile
  head/www/drupal6-services/Makefile
  head/www/drupal6-tagadelic/Makefile
  head/www/drupal6-token/Makefile
  head/www/drupal6-views/Makefile
  head/www/drupal6-webform/Makefile
  head/www/drupal6-wysiwyg/Makefile
  head/www/drupal6-zeropoint/Makefile
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-06-17 12:59:17 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2016-07-03 18:38:05 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jul  3 18:37:34 UTC 2016
New revision: 417988
URL: https://svnweb.freebsd.org/changeset/ports/417988

Log:
  devel/jsoncpp: Fix build on 10.3

    - Change OS version checks to compiler checks

  PR:		209954
  Submitted by:	Mathieu Simon <freebsd@simweb.ch>

Changes:
  head/devel/jsoncpp/Makefile
Comment 9 commit-hook freebsd_committer 2016-09-11 08:59:22 UTC
A commit references this bug:

Author: brnrd
Date: Sun Sep 11 08:59:04 UTC 2016
New revision: 421808
URL: https://svnweb.freebsd.org/changeset/ports/421808

Log:
  MFH: r417988 r418065

  devel/jsoncpp: Fix build on 10.3

    - Change OS version checks to compiler checks

  PR:		209954
  Submitted by:	Mathieu Simon <freebsd@simweb.ch>

  devel/jsoncpp: Update to 1.7.3

    - Update to version 1.7.3 [2]
    - Fix compiler issues [1]

  PR:		209945
  Submitted by:	Mathieu Simon <freebsd@simweb.ch> [1]
  Reviewed by:	yuri@rawbw.com (maintainer) [2]

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/devel/jsoncpp/Makefile
  branches/2016Q3/devel/jsoncpp/distinfo
  branches/2016Q3/devel/jsoncpp/files/patch-include_json_config.h
  branches/2016Q3/devel/jsoncpp/pkg-plist